0

During installation magento2.3.1 getting an error :

[ERROR] LogicException: Unknown module in the requested list: 'Fastly_Cdn' in /var/www/html/magento2.3.1/setup/src/Magento/Setup/Model/Installer.php:468 Stack trace: enter image description here

  • That error is initially saying that Fastly CDN is installed but cannot find the code base for it, have you uninstalled this module recently? – Dava Gordon May 10 at 11:16
  • no i just download the magento2.3.1 setup just – Hafiz Arslan May 10 at 11:21
  • So this is a new install and not an upgrade? – Dava Gordon May 10 at 14:52
  • yes, i just download the setup and going to install. – Hafiz Arslan May 13 at 5:17
  • if you have command line and you downloaded through composer the run the following command 'composer require fastly/magento2' if not and installation was manual you can download from github.com/fastly/fastly-magento2 and put it under 'app/code/Fastly/Cdn' and retry your installation – Dava Gordon May 13 at 14:02

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.